#include<bits/stdc++.h>
        using namespace std;
        int main()
        {
            long long n,a[27];
            string s;
            cin >> n >> s;
            string s2 ="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            int j;
            for(int i=0;i<27;i++)
            {
                a[i]=0;
            }
            for(int i=0;i<n;i++)
            {
                a[s[i]-'A']++;
                if(a[s[i]-'A']==2)
                {
                    j=i;
                }
            }
            if(n<=26)
            {
                cout << 0;
            }
            long long res;
            int k=0;
            if(n==27)
            {
                res=2;
                for(int i =0;i<n;i++)
                {
                    if((s[i]!=s[j])||(i==j))
                    {
                        if(s[i]!=s2[k])
                        {
                            res--;
                            break;
                        }
                        k++;
                    }
                }
                k=0;
                for(int i =0;i<n;i++)
                {
                    if(i!=j)
                    {
                        if(s[i]!=s2[k])
                        {
                            res--;
                            break;
                        }
                        k++;
                    }
                }
                cout << res;
            }
            if(n>27)
            {
                res=1;
                for(int i=0;i<26;i++)
                {
                    res*=a[i];
                    res=res%(1000000007);
                }
                cout << res;
            }
        }